/*
 * $Id: Signal_set_size.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Signal.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Signal::set_size"
  void Signal::set_size (uint32_t size)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    _size = size;

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

#undef  FUNCTION
#define FUNCTION "Signal::set_size_max"
  void Signal::set_size_max (uint32_t size)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    if (size > _size)
      set_size(size);
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
